Bug 905436 - [abrt] cinnamon-1.6.7-2.fc18: gray_find_cell: Process /usr/bin/cinnamon was killed by signal 11 (SIGSEGV)
Summary: [abrt] cinnamon-1.6.7-2.fc18: gray_find_cell: Process /usr/bin/cinnamon was k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cad87d01780dc786800ad9ae577...
: 1161815 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-29 12:51 UTC by Manish
Modified: 2015-08-08 00:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 11:45:20 UTC


Attachments (Terms of Use)
File: backtrace (175.34 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: cgroup (127 bytes, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: core_backtrace (6.61 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: dso_list (19.13 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: environ (1.36 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: maps (81.78 KB, text/plain)
2013-01-29 12:51 UTC, Manish
no flags Details
File: open_fds (1012 bytes, text/plain)
2013-01-29 12:52 UTC, Manish
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-01-29 12:52 UTC, Manish
no flags Details
File: var_log_messages (463 bytes, text/plain)
2013-01-29 12:52 UTC, Manish
no flags Details

Description Manish 2013-01-29 12:51:34 UTC
Version-Release number of selected component:
cinnamon-1.6.7-2.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/cinnamon
crash_function: gray_find_cell
executable:     /usr/bin/cinnamon
kernel:         3.7.4-204.fc18.x86_64
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gray_find_cell at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:494
 #1 gray_record_cell at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:511
 #3 gray_set_cell at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:554
 #4 gray_render_line at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:845
 #5 gray_line_to at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:1147
 #6 FT_Outline_Decompose at /usr/src/debug/freetype-2.4.10/src/base/ftoutln.c:160
 #7 gray_convert_glyph_inner at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:1717
 #8 gray_convert_glyph at /usr/src/debug/freetype-2.4.10/src/smooth/ftgrays.c:1819
 #9 ft_smooth_render_generic at /usr/src/debug/freetype-2.4.10/src/smooth/ftsmooth.c:297
 #10 FT_Render_Glyph_Internal at /usr/src/debug/freetype-2.4.10/src/base/ftobjs.c:4025

Potential duplicate: bug 879411

Comment 1 Manish 2013-01-29 12:51:39 UTC
Created attachment 689802 [details]
File: backtrace

Comment 2 Manish 2013-01-29 12:51:42 UTC
Created attachment 689803 [details]
File: cgroup

Comment 3 Manish 2013-01-29 12:51:45 UTC
Created attachment 689804 [details]
File: core_backtrace

Comment 4 Manish 2013-01-29 12:51:49 UTC
Created attachment 689805 [details]
File: dso_list

Comment 5 Manish 2013-01-29 12:51:52 UTC
Created attachment 689806 [details]
File: environ

Comment 6 Manish 2013-01-29 12:51:55 UTC
Created attachment 689807 [details]
File: limits

Comment 7 Manish 2013-01-29 12:51:59 UTC
Created attachment 689808 [details]
File: maps

Comment 8 Manish 2013-01-29 12:52:01 UTC
Created attachment 689809 [details]
File: open_fds

Comment 9 Manish 2013-01-29 12:52:04 UTC
Created attachment 689810 [details]
File: proc_pid_status

Comment 10 Manish 2013-01-29 12:52:08 UTC
Created attachment 689811 [details]
File: var_log_messages

Comment 11 leigh scott 2013-02-19 09:27:43 UTC
As there are no steps to reproduce I'm closing this report as there's insufficient info provided by the user.

Comment 12 leigh scott 2014-11-08 06:13:46 UTC
*** Bug 1161815 has been marked as a duplicate of this bug. ***

Comment 13 Fedora End Of Life 2015-05-29 08:52:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 11:45:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Jonatas Novais 2015-08-08 00:34:46 UTC
Another user experienced a similar problem:

Just to start the operating system, the error appeared immediately, for no apparent reason.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gray_find_cell
executable:     /usr/bin/cinnamon
global_pid:     1547
kernel:         4.1.3-200.fc22.i686
package:        cinnamon-2.6.13-2.fc22
reason:         cinnamon killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.